Article ID: 6310, created on May 12, 2009, last review on May 10, 2014

  • Applies to:
  • Plesk 9.x for Linux/Unix
  • Virtuozzo containers for Linux 4.0

Symptoms

Cannot install Ubuntu 7.10 or 8.04 EZ Template with the following error:

~# vzpkg install CTID plesk9
Err http://archive.ubuntu.com gutsy/main Packages 
  404 Not Found [IP: 91.189.88.140 80]
 ...

 
Where CTID is id of Virtuozzo Container where the application is being installed.

Cause

The issue was caused by the fact that the Ubuntu repository http://archive.ubuntu.com/ubuntu/dists was changed to the http://old-releases.ubuntu.com/ubuntu/dists/

Resolution

Below example is for ubuntu 7.10 version, however general steps are the same for 8.04 also:

1. Add new location to /etc/vztt/url.map file on Hardware Node.
Check current repository:

~# grep UBU /etc/vztt/url.map
$UBU_SERVER     http://archive.ubuntu.com
~#

Add new location to the file:

~# echo \$OLD_UBU http://old-releases.ubuntu.com >> /etc/vztt/url.map

2. Add changed repository location into 'repositories' files for Ubuntu 7.10 OS templates:

~# sed -i 's/UBU_SERVER/OLD_UBU/' /vz/template/ubuntu/7.10/x86_64/config/os/default/repositories
~# sed -i 's/UBU_SERVER/OLD_UBU/' /vz/template/ubuntu/7.10/x86/config/os/default/repositories

3. Update template cache with the following commands:

~# vzpkg update cache -r ubuntu-7.10-x86
~# vzpkg update cache -r ubuntu-7.10

35c16f1fded8e42577cb3df16429c57a d02f9caf3e11b191a38179103495106f e8e50b42231236b82df27684e7ec0beb 6ef0db7f1685482449634a455d77d3f4 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 2897d76d56d2010f4e3a28f864d69223 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF